X=fft(c(1,2,3,4)) # Get the DFT of our signal
N=4 # Signal size
xkn=function(k,n){X[k+1]*exp(2i*pi*(k/N)*n)}

# Perform the inverse DFT:
x0=1/N*(xkn(0,0)+xkn(1,0)+xkn(2,0)+xkn(3,0))
x1=1/N*(xkn(0,1)+xkn(1,1)+xkn(2,1)+xkn(3,1))
x2=1/N*(xkn(0,2)+xkn(1,2)+xkn(2,2)+xkn(3,2))
x3=1/N*(xkn(0,3)+xkn(1,3)+xkn(2,3)+xkn(3,3))

x=Re(c(x0,x1,x2,x3)) # Take the real
stopifnot(any(Im(x)==0)) # Also see how all imaginary parts are 0!
